%define pkg_name        GD
%define pkg_version     2.35
%define rpm_pkg_version 2.35
%define rpm_pkg_release 2.n0i.16

Summary:       Interface to Gd Graphics Library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LD/LDS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: gd-devel >= 2.0.1
BuildRequires: libpng-devel libjpeg-devel freetype-devel libX11-devel
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Math::Trig)}


%description
GD.pm is a Perl interface to Thomas Boutell's gd graphics library (version
2.01 or higher; see below). GD allows you to create color drawings using a
large number of graphics primitives, and emit the drawings as PNG files.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path qd.pl demos/}
%{__perl} -pi -e "
	s{('PM'\s*=>\s*\{)}{\$1
		'GD/Image.pm' => '\\\$(INST_LIBDIR)/GD/Image.pm',
		'GD/Polygon.pm' => '\\\$(INST_LIBDIR)/GD/Polygon.pm',
	}
" Makefile.PL


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%exclude %{perl_vendorarch}/qd.pl
%doc ChangeLog qd.pl demos/ README*


%changelog
* Wed May 30 2007 Marius Feraru <altblue@n0i.net> - 2.35-2.n0i.16
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild

* Wed Mar 21 2007 Marius FERARU <altblue@n0i.net> - 2.35-1.n0i.15
- version 2.35

* Fri Jun 02 2006 Marius Feraru <altblue@n0i.net> - 2.34-1.n0i.14
- version 2.34

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 2.32-1.n0i.13
- version 2.32

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 2.31-1.n0i.12
- version 2.31

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 2.30-1.n0i.11
- version 2.30

* Wed Aug 17 2005 Marius FERARU <altblue@n0i.net> 2.28-1.n0i.10
- version 2.28

* Tue Aug 09 2005 Marius FERARU <altblue@n0i.net> 2.27-1.n0i.9
- version 2.27
- dropped setup options (now they are automatically detected)
- forced installing GD::Image and GD::Polygon
- dropped extra Polyline package (included in this one)

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 2.25-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2.19-1.n0i.7
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:2.19-1.n0i.6
- version 2.19
- no dependencies are to be computed based on files in %%docdir

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:2.12-1.n0i.5
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:2.12-1.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)
- split GD::Polyline into separate package

* Sun Feb 22 2004 Marius FERARU <altblue@n0i.net> 0:2.12-1.n0i.3
- version 2.12

* Sun Feb 01 2004 Marius FERARU <altblue@n0i.net> 0:2.11-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Fri Oct 17 2003 Marius FERARU <altblue@n0i.net> 2.11-0.n0i.1
- version 2.11
- spec file (re?)created using N0i::CPAN::RPMizer/2003101101
